Bug 1285875 - [abrt] grub-customizer: Gtk::TreeSelection::gobj(): grub-customizer killed by SIGSEGV
[abrt] grub-customizer: Gtk::TreeSelection::gobj(): grub-customizer killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub-customizer (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vasiliy Glazov
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c2dd9e8a5ec6d4c6c9e7ac7e4e0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 14:40 EST by Bruno Gambarini
Modified: 2016-12-20 11:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:19:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (149.25 KB, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: core_backtrace (6.81 KB, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: dso_list (9.94 KB, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: environ (1.55 KB, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: exploitable (127 bytes, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: maps (50.19 KB, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: mountinfo (2.90 KB, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: open_fds (1.08 KB, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: proc_pid_status (985 bytes, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details
File: var_log_messages (258 bytes, text/plain)
2015-11-26 14:40 EST, Bruno Gambarini
no flags Details

  None (edit)
Description Bruno Gambarini 2015-11-26 14:40:07 EST
Version-Release number of selected component:
grub-customizer-4.0.6-5.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/grub-customizer
crash_function: Gtk::TreeSelection::gobj
executable:     /usr/bin/grub-customizer
global_pid:     3383
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Gtk::TreeSelection::gobj at ../gtkmm/treeselection.h:123
 #1 Gtk::TreeSelection::get_selected_rows at treeselection.cc:177
 #2 View_Gtk_Main::update_remove_button at /usr/src/debug/grub-customizer-4.0.6/src/View/Gtk/Main.cpp:748
 #3 View_Gtk_Main::updateButtonsState at /usr/src/debug/grub-customizer-4.0.6/src/View/Gtk/Main.cpp:545
 #4 MainControllerImpl::refreshTabAction at /usr/src/debug/grub-customizer-4.0.6/src/Controller/MainControllerImpl.cpp:1022
 #5 sigc::slot2<void, Gtk::Widget*, unsigned int>::operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:621
 #6 (anonymous namespace)::Notebook_signal_page_added_callback at notebook.cc:205
 #11 gtk_notebook_switch_page at gtknotebook.c:6806
 #12 gtk_notebook_real_remove at gtknotebook.c:5062
 #13 gtk_notebook_remove at gtknotebook.c:4233
Comment 1 Bruno Gambarini 2015-11-26 14:40:15 EST
Created attachment 1099391 [details]
File: backtrace
Comment 2 Bruno Gambarini 2015-11-26 14:40:16 EST
Created attachment 1099392 [details]
File: cgroup
Comment 3 Bruno Gambarini 2015-11-26 14:40:18 EST
Created attachment 1099393 [details]
File: core_backtrace
Comment 4 Bruno Gambarini 2015-11-26 14:40:21 EST
Created attachment 1099394 [details]
File: dso_list
Comment 5 Bruno Gambarini 2015-11-26 14:40:23 EST
Created attachment 1099395 [details]
File: environ
Comment 6 Bruno Gambarini 2015-11-26 14:40:25 EST
Created attachment 1099396 [details]
File: exploitable
Comment 7 Bruno Gambarini 2015-11-26 14:40:26 EST
Created attachment 1099397 [details]
File: limits
Comment 8 Bruno Gambarini 2015-11-26 14:40:30 EST
Created attachment 1099398 [details]
File: maps
Comment 9 Bruno Gambarini 2015-11-26 14:40:31 EST
Created attachment 1099399 [details]
File: mountinfo
Comment 10 Bruno Gambarini 2015-11-26 14:40:36 EST
Created attachment 1099400 [details]
File: namespaces
Comment 11 Bruno Gambarini 2015-11-26 14:40:38 EST
Created attachment 1099401 [details]
File: open_fds
Comment 12 Bruno Gambarini 2015-11-26 14:40:40 EST
Created attachment 1099402 [details]
File: proc_pid_status
Comment 13 Bruno Gambarini 2015-11-26 14:40:42 EST
Created attachment 1099403 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 08:45:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:19:30 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.